package com.utic.center.utic.traf.server.dao.mapper.dwdb;

import com.utic.center.utic.traf.server.dto.TableExistDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface DwdbTableManagerMapper {

    TableExistDto findTableExist(@Param("tableName") String tableName);
    int addTableComment(@Param("tableName") String tableName, @Param("tableComment") String tableComment);
    int addColumnComment(@Param("tableName") String tableName, @Param("columnName") String columnName, @Param("columnComment") String columnComment);

    int createTrafficCenterHistTable(@Param("crtMonth") String crtMonth);
    int addTrafficCenterHistPrimaryKey(@Param("crtMonth") String crtMonth);

}
